Subject: RE: pppoa not working...

From: "David Milburn" <[email-masked]>
Date: Thu, 22 Feb 2001 11:44:34 -0600

David,

I have used pppoa, by patching the kernel with the latest br2684 patch,
configure it for pppoa, rebuild, and reboot.

http://www.sch.bme.hu/~cell/br2684/

And then build pppd from Mitch's instructions:

http://www.sfgoth.com/~mitch/linux/atm/pppoatm/

Edit your /etc/ppp files

Start pppd

./pppd plugin plugins/pppoatm.so vpi.vci

David

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of david
LIBAULT
Sent: Thursday, February 22, 2001 11:07 AM
To: [email-masked]
Cc: [email-masked]
Subject: pppoa not working...

Hi all,

I am still working on that !
I have checked that my kernel+pppd is working on my system(doing a ppp over
a
serial port). Of course it works fine.
I have added in ppp_generic.c a function to print the received skb, in
function :

static void
ppp_receive_nonmp_frame(struct ppp *ppp, struct sk_buff *skb)

just before netif_rx is called. Both pppd over a serial port and pppd over
ATM give the same packet to the function netif_rx (only the 16 bit
identification and the IP addresses are different in both cases).

Is it some member of the skb structure that my atm driver didn't initialise
properly ?
What else should I check ? Should I go even deeper inside the kernel ?
Has anyone ever used pppoa ?
I live in a nightmare.

David.

_______________________________________________
Linux-atm-general mailing list
[email-masked]
http://lists.sourceforge.net/lists/listinfo/linux-atm-general